com.android.agf.activities

## Class LoadExternalDashboardActivity.MyCreate

- java.lang.Object
- - android.os.AsyncTask<String,Void,Integer>
  - - com.android.agf.asynctask.CreateExternalDashboard
    - - com.android.agf.activities.LoadExternalDashboardActivity.MyCreate

- Enclosing class:
    LoadExternalDashboardActivity

       class LoadExternalDashboardActivity.MyCreate
      extends CreateExternalDashboard

  classe local que extend d'una asynctask de creacio de dashboard externs
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.asynctask.CreateExternalDashboard

      `mJson`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadExternalDashboardActivity.MyCreate(Context ctx, JSONObject obj, UserSettings user, String t)` constructor, creació del dialeg de progres

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(Integer result)` control d'errors en cada cas
    `protected void` | `onPreExecute()` inicialització del dialeg de progres

    - ### Methods inherited from class com.android.agf.asynctask.CreateExternalDashboard

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadExternalDashboardActivity.MyCreate

          public LoadExternalDashboardActivity.MyCreate(Context ctx,
                                                JSONObject obj,
                                                UserSettings user,
                                                String t)

      constructor, creació del dialeg de progres

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inicialització del dialeg de progres
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,Integer>`

    - #### onPostExecute

          protected void onPostExecute(Integer result)

      control d'errors en cada cas
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,Integer>`